aboutsummaryrefslogtreecommitdiffstats
path: root/debian/patches
diff options
context:
space:
mode:
Diffstat (limited to 'debian/patches')
-rw-r--r--debian/patches/Ignore-custom-lib-PATH.patch31
-rw-r--r--debian/patches/Mention-the-Debian-BTS-in-the-manpages.patch46
-rw-r--r--debian/patches/series4
-rw-r--r--debian/patches/tests-run-Don-t-redirect-stderr-by-process-substitut.patch34
-rw-r--r--debian/patches/tests-t-Increase-timeout-from-2-to-5s-after-backgrou.patch68
5 files changed, 183 insertions, 0 deletions
diff --git a/debian/patches/Ignore-custom-lib-PATH.patch b/debian/patches/Ignore-custom-lib-PATH.patch
new file mode 100644
index 0000000..d621767
--- /dev/null
+++ b/debian/patches/Ignore-custom-lib-PATH.patch
@@ -0,0 +1,31 @@
+From: Guilhem Moulin <guilhem@debian.org>
+Date: Sun, 12 Jun 2016 22:42:16 +0200
+Subject: Ignore custom lib PATH.
+
+---
+ interimap | 2 +-
+ pullimap | 2 +-
+ 2 files changed, 2 insertions(+), 2 deletions(-)
+
+--- a/interimap
++++ b/interimap
+@@ -32,7 +32,7 @@ use DBD::SQLite::Constants ':file_open';
+ use Fcntl qw/F_GETFD F_SETFD FD_CLOEXEC/;
+ use List::Util 'first';
+
+-use lib 'lib';
++
+ use Net::IMAP::InterIMAP 0.0.5 qw/xdg_basedir read_config compact_set/;
+
+ # Clean up PATH
+--- a/pullimap
++++ b/pullimap
+@@ -31,7 +31,7 @@ use Getopt::Long qw/:config posix_defaul
+ use List::Util 'first';
+ use Socket qw/PF_INET PF_INET6 SOCK_STREAM IPPROTO_TCP/;
+
+-use lib 'lib';
++
+ use Net::IMAP::InterIMAP 0.0.5 qw/xdg_basedir read_config compact_set/;
+
+ # Clean up PATH
diff --git a/debian/patches/Mention-the-Debian-BTS-in-the-manpages.patch b/debian/patches/Mention-the-Debian-BTS-in-the-manpages.patch
new file mode 100644
index 0000000..a5f429c
--- /dev/null
+++ b/debian/patches/Mention-the-Debian-BTS-in-the-manpages.patch
@@ -0,0 +1,46 @@
+From: Guilhem Moulin <guilhem@debian.org>
+Date: Sun, 20 Jan 2019 21:09:43 +0100
+Subject: Mention the Debian BTS in the manpages.
+
+---
+ doc/interimap.1.md | 10 +++++++++-
+ doc/pullimap.1.md | 6 ++++++
+ 2 files changed, 15 insertions(+), 1 deletion(-)
+
+--- a/doc/interimap.1.md
++++ b/doc/interimap.1.md
+@@ -535,10 +535,18 @@ Standards
+ and Quick Mailbox Resynchronization (`QRESYNC`)_,
+ [RFC 7162], May 2014.
+
++Bugs and feedback
++=================
++
++Bugs or feature requests for `interimap` should be filed with the
++Debian project's bug tracker at <<https://www.debian.org/Bugs/>>.
++
+ See also
+ ========
+
+-A _getting started_ guide is available [there](getting-started.html).
++A _getting started_ guide is available locally at
++<<file:///usr/share/doc/interimap/getting-started.md.gz>>, and
++online at <<https://guilhem.org/interimap/getting-started.html>>.
+
+ [RFC 7162]: https://tools.ietf.org/html/rfc7162
+ [RFC 5258]: https://tools.ietf.org/html/rfc5258
+--- a/doc/pullimap.1.md
++++ b/doc/pullimap.1.md
+@@ -353,6 +353,12 @@ Standards
+ * J. Klensin, _Simple Mail Transfer Protocol_,
+ [RFC 5321], October 2008.
+
++Bugs and feedback
++=================
++
++Bugs or feature requests for `pullimap` should be filed with the
++Debian project's bug tracker at <<https://www.debian.org/Bugs/>>.
++
+ [RFC 4315]: https://tools.ietf.org/html/rfc4315
+ [RFC 2177]: https://tools.ietf.org/html/rfc2177
+ [RFC 2595]: https://tools.ietf.org/html/rfc2595
diff --git a/debian/patches/series b/debian/patches/series
new file mode 100644
index 0000000..e7fcfbe
--- /dev/null
+++ b/debian/patches/series
@@ -0,0 +1,4 @@
+Ignore-custom-lib-PATH.patch
+Mention-the-Debian-BTS-in-the-manpages.patch
+tests-t-Increase-timeout-from-2-to-5s-after-backgrou.patch
+tests-run-Don-t-redirect-stderr-by-process-substitut.patch
diff --git a/debian/patches/tests-run-Don-t-redirect-stderr-by-process-substitut.patch b/debian/patches/tests-run-Don-t-redirect-stderr-by-process-substitut.patch
new file mode 100644
index 0000000..1a300f2
--- /dev/null
+++ b/debian/patches/tests-run-Don-t-redirect-stderr-by-process-substitut.patch
@@ -0,0 +1,34 @@
+From 49d7a90c159b12173ce202fb9b101465b87da96c Mon Sep 17 00:00:00 2001
+From: Guilhem Moulin <guilhem@fripost.org>
+Date: Sun, 15 Dec 2019 03:38:59 +0100
+Subject: [PATCH 2/2] tests/run: Don't redirect stderr by process substitution.
+
+This seems to cause timing issues.
+---
+ tests/run | 8 +++++---
+ 1 file changed, 5 insertions(+), 3 deletions(-)
+
+diff --git a/tests/run b/tests/run
+index a34e4a9..4aa0685 100755
+--- a/tests/run
++++ b/tests/run
+@@ -202,11 +202,13 @@ prepare
+ interimap() { _interimap_cmd "interimap" "$@"; }
+ pullimap() { _interimap_cmd "pullimap" "$@"; }
+ _interimap_cmd() {
+- declare -a ENVIRON=() r=0
+- local script="$1"
++ declare -a ENVIRON=()
++ local script="$1" rv=0
+ shift
+ environ_set "local"
+- env -i "${ENVIRON[@]}" perl -I./lib -T "./$script" "$@" 2> >(tee "$STDERR" >&2)
++ env -i "${ENVIRON[@]}" perl -I./lib -T "./$script" "$@" 2>"$STDERR" || rv=$?
++ cat <"$STDERR" >&2
++ return $rv
+ }
+ interimap_init() {
+ local u="${1-remote}"
+--
+2.24.0
+
diff --git a/debian/patches/tests-t-Increase-timeout-from-2-to-5s-after-backgrou.patch b/debian/patches/tests-t-Increase-timeout-from-2-to-5s-after-backgrou.patch
new file mode 100644
index 0000000..76b678b
--- /dev/null
+++ b/debian/patches/tests-t-Increase-timeout-from-2-to-5s-after-backgrou.patch
@@ -0,0 +1,68 @@
+From a7517e35cf0c835fcb68db56d8634fab9b4d5f0d Mon Sep 17 00:00:00 2001
+From: Guilhem Moulin <guilhem@fripost.org>
+Date: Sun, 15 Dec 2019 03:35:51 +0100
+Subject: [PATCH 1/2] tests/*/t: Increase timeout from 2 to 5s after background
+ syncs.
+
+---
+ tests/condstore/t | 2 +-
+ tests/pullimap/t | 2 +-
+ tests/sync-live-multi/t | 2 +-
+ tests/sync-live/t | 2 +-
+ 4 files changed, 4 insertions(+), 4 deletions(-)
+
+diff --git a/tests/condstore/t b/tests/condstore/t
+index d4da50f..1963b2b 100644
+--- a/tests/condstore/t
++++ b/tests/condstore/t
+@@ -31,7 +31,7 @@ while [ $(date +%s) -le $timer ]; do
+ doveadm -u "$u" flags "$a" "$f" mailbox "INBOX" "${seqs//$'\n'/,}"
+ sleep "0.0$(shuf -n1 -i10-99)" # 10 to 99ms
+ done
+-sleep 2
++sleep 5
+
+ ptree_abort $PID
+ trap - EXIT INT TERM
+diff --git a/tests/pullimap/t b/tests/pullimap/t
+index 79da3e0..115432d 100644
+--- a/tests/pullimap/t
++++ b/tests/pullimap/t
+@@ -123,7 +123,7 @@ while [ $(date +%s) -le $timer ]; do
+ sleep "$s"
+ done
+
+-sleep 2
++sleep 5
+ ptree_abort $PID
+ trap - EXIT INT TERM
+
+diff --git a/tests/sync-live-multi/t b/tests/sync-live-multi/t
+index 9b129ec..ba7f326 100644
+--- a/tests/sync-live-multi/t
++++ b/tests/sync-live-multi/t
+@@ -96,7 +96,7 @@ done
+ # wait a little longer so interimap has time to run loop() again and
+ # synchronize outstanding changes, then terminate the processes we
+ # started above
+-sleep 2
++sleep 5
+
+ ptree_abort ${PID[@]}
+ trap - EXIT INT TERM
+diff --git a/tests/sync-live/t b/tests/sync-live/t
+index 19d1e08..5f5b291 100644
+--- a/tests/sync-live/t
++++ b/tests/sync-live/t
+@@ -65,7 +65,7 @@ done
+ # wait a little longer so interimap has time to run loop() again and
+ # synchronize outstanding changes, then terminate the process we started
+ # above
+-sleep 2
++sleep 5
+
+ ptree_abort $PID
+ trap - EXIT INT TERM
+--
+2.24.0
+